WSNotification::Elements::ProducerReference(3)

NAME
WSNotification::Elements::ProducerReference

DESCRIPTION
Perl data type class for the XML Schema defined element ProducerReference from the namespace http://docs.oasis-open.org/wsn/b-2.

METHODS

  new
 my $element = WSNotification::Elements::ProducerReference->new($data);

Constructor. The following data structure may be passed to new():

 { # WSNotification::Types::EndpointReferenceType
   Address =>  { value => $some_value },
   ReferenceParameters =>  { # WSNotification::Types::ReferenceParametersType
   },
   Metadata =>  { # WSNotification::Types::MetadataType
   },
 },

AUTHOR
Generated by SOAP::WSDL